> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Profile



## OpenAPI

````yaml patch /users/me
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /users/me:
    patch:
      operationId: MeController_update
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UpdateUserDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
components:
  schemas:
    UpdateUserDto:
      type: object
      properties:
        avatar:
          type: string
          format: binary
        username:
          type: string
          minLength: 2
          maxLength: 32
        first_name:
          type: string
          minLength: 2
          maxLength: 64
        last_name:
          type: string
          minLength: 2
          maxLength: 64
        email:
          type: string
          maxLength: 254
        disabled:
          type: boolean
        role:
          enum:
            - user
            - staff
            - admin
            - analyst
          type: string
    UserDto:
      type: object
      properties:
        id:
          type: string
        username:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        role:
          enum:
            - user
            - staff
            - admin
            - analyst
          type: string
        created_at:
          format: date-time
          type: string
        disabled:
          type: boolean
      required:
        - id
        - username
        - email
        - first_name
        - last_name
        - role
        - created_at
        - disabled

````